Debian Bug report logs - #359153
Malformed URL bluetooth:/

version graph

Package: kdebluetooth; Maintainer for kdebluetooth is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: Mark Purcell <msp@debian.org>

Date: Sun, 26 Mar 2006 21:18:17 UTC

Severity: important

Found in version kdebluetooth/0.99+1.0beta1-7

Fixed in version kdebluetooth/0.99+1.0beta1-8

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Malformed URL bluetooth:/
Date: Sun, 26 Mar 2006 22:15:24 +0100
Package: kdebluetooth
Version: 0.99+1.0beta1-7
Severity: important

Michael,

In the last week the clicking on the K (bluetooth icon) in the task bar, turns up a error dialog:
	Malformed URL
	bluetooth:/

Other bluetooth functions are working, like sending and receiving files.  It would appear
that browsing is the problem.

Mark


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages kdebluetooth depends on:
ii  kdelibs4c2a              4:3.5.1-4       core libraries for all KDE applica
ii  libacl1                  2.2.35-1        Access control list shared library
ii  libart-2.0-2             2.3.17-1        Library of functions for 2D graphi
ii  libattr1                 2.4.31-1        Extended attribute shared library
ii  libaudio2                1.7-5           The Network Audio System (NAS). (s
ii  libbluetooth1            2.25-1          Library to use the BlueZ Linux Blu
ii  libc6                    2.3.6-4         GNU C Library: Shared libraries an
ii  libfam0                  2.7.0-9         Client library to control the FAM 
ii  libfontconfig1           2.3.2-5         generic font configuration library
ii  libfreetype6             2.1.10-2        FreeType 2 font engine, shared lib
ii  libgcc1                  1:4.0.3-1       GCC support library
ii  libice6                  6.9.0.dfsg.1-5  Inter-Client Exchange library
ii  libidn11                 0.5.18-2        GNU libidn library, implementation
ii  libjpeg62                6b-12           The Independent JPEG Group's JPEG 
ii  libopenobex-1.0-0        1:1.0.0-rel-3   OBEX protocol library
ii  libpng12-0               1.2.8rel-5      PNG library - runtime
ii  libqt3-mt                3:3.3.6-1       Qt GUI Library (Threaded runtime v
ii  libsm6                   6.9.0.dfsg.1-5  X Window System Session Management
ii  libstdc++6               4.0.3-1         The GNU Standard C++ Library v3
ii  libx11-6                 6.9.0.dfsg.1-5  X Window System protocol client li
ii  libxcursor1              1.1.3-1         X cursor management library
ii  libxext6                 6.9.0.dfsg.1-5  X Window System miscellaneous exte
ii  libxft2                  2.1.8.2-5.1     FreeType-based font drawing librar
ii  libxi6                   6.9.0.dfsg.1-5  X Window System Input extension li
ii  libxinerama1             6.9.0.dfsg.1-5  X Window System multi-head display
ii  libxrandr2               6.9.0.dfsg.1-5  X Window System Resize, Rotate and
ii  libxrender1              1:0.9.0.2-1     X Rendering Extension client libra
ii  libxt6                   6.9.0.dfsg.1-5  X Toolkit Intrinsics
ii  qobex                    0.99+1.0beta1-7 Swiss army knife for the OBject EX
ii  zlib1g                   1:1.2.3-11      compression library - runtime

kdebluetooth recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ley <ley@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #10 received at 359153@bugs.debian.org (full text, mbox):

From: Sebastian Ley <ley@debian.org>
To: 359153@bugs.debian.org
Cc: 359153-subscribe@bugs.debian.org
Subject: Same for me
Date: Thu, 30 Mar 2006 21:57:35 +0200
I have the same problem here.
Bluetooth seems to work fine, except for the bluetooth kioslave. I'll happily 
provide further information, let me know, what you need.

Regards,
Sebastian



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Alexander Burker <burker@ucs.at>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #15 received at 359153@bugs.debian.org (full text, mbox):

From: Alexander Burker <burker@ucs.at>
To: 359153@bugs.debian.org
Subject: same problem
Date: Thu, 06 Apr 2006 23:33:02 +0200
well, i have the same problem after upgrading a lot of packages, (sorry
i can't exactly say which one caused the problem...)


regards alex





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 359153@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Alexander Burker <burker@ucs.at>, 359153@bugs.debian.org
Subject: Re: Bug#359153: same problem
Date: Fri, 7 Apr 2006 10:29:03 +0200
On Thu, Apr 06, 2006 at 11:33:02PM +0200, Alexander Burker wrote:
> well, i have the same problem after upgrading a lot of packages, (sorry
> i can't exactly say which one caused the problem...)

Do you have a list of the packages you uploaded? Your email seems to
suggest that the problem starts if you update one package that is
somehow related.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to "Marc Rothera" <marc.rothera@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #25 received at 359153@bugs.debian.org (full text, mbox):

From: "Marc Rothera" <marc.rothera@gmail.com>
To: 359153@bugs.debian.org
Subject: Malformed URL error in Konqueror
Date: Thu, 13 Apr 2006 11:04:59 +0100
[Message part 1 (text/plain, inline)]
I've had this bug in Sid for a couple of weeks now although it seems it may
not just be limited to Debian:
http://bugs.kde.org/show_bug.cgi?id=123607 (admitedly
a lot of the users appear to be on Ubuntu so there may well be a link I
guess?)

There are some patches also but I'm to noob to work out how to use them,
sorry!

I've noted that the bluetooth itself still works and I can push files from
my phone to the pc but when I use Konqueror to sdp:/, bluetooth:/ or obex:/
I get the 'malformed URL' error - Have tried purging and reinstalling all
bluetooth, konqueror and KIO packages to no avail.

Marc
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Peter Shultz <pashultz@uchicago.edu>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #30 received at 359153@bugs.debian.org (full text, mbox):

From: Peter Shultz <pashultz@uchicago.edu>
To: 359153@bugs.debian.org
Subject: From an Ubuntu user
Date: Fri, 14 Apr 2006 01:45:02 -0500
Hi.  I have had the same problem ("Malformed URL bluetooth:/") for a
couple weeks under Ubuntu Dapper testing (Gnome).  I installed the
kdebluetooth and konqueror packages (and all their dependencies), but no
other KDE stuff.  Maybe this will help narrow it down.

I've actually been following this report for a while, but I thought I
should stay out of the discussion as a non-Debian, non-KDE user.  Now it
occurs to me that I'm actually in a position to help.

Peter




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Robert Schulz <robert@rosaschulz.de>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #35 received at 359153@bugs.debian.org (full text, mbox):

From: Robert Schulz <robert@rosaschulz.de>
To: 359153@bugs.debian.org
Cc: 359153-subscribe@bugs.debian.org
Subject: patch from a suse list?
Date: Sun, 23 Apr 2006 09:50:30 +0200
Hi!

I experience this too.

I first had no problem using the version  kdebluetooth/0.99+1.0beta1-6-b1. It 
first worked, then i played around with hidd, pin-helper and perhaps 
installing some packages around bt like syncing, obex stuff and so on. After 
my mouse and keyboard finally worked the browsing did no more.

I found a promising patch for suse-10 here:
http://www.linux-club.de/ftopic57788.html

sadly it seems to have some problems with encoding...

i paste it here...
-----snip-----
Hallo! 
 
 Danke für die Tipps zum Bluetooth-Browsing-Problem hier! Ich habe mal das 
Paket aus dem inoffizielle KDE 3.5.2 von SuSE 10.0 
 
 kdebluetooth-0.0.svn20051202-10 
 
 so gepatcht, dass es wieder klappt. Weil ich nicht das Original SuSE-openobex 
verwende, sondern 
 
 openobex-1.2-0.pm.0 
 
 von Packman, musste ich noch eine Kleinigkeit im Build-System von 
kdebluetooth ändern (openobex-config -> pkg-config). Unten findet ihr meinen 
Patch, den man wie folgt verwendet: 
 
 1) Angehängten Patch speichern als 
kdebluetooth-0.0.svn20051202-10.tv-fix-browsing.patch 
 
 2) Das Source-Package von kdebluetooth runterladen und installieren: 
 rpm -ihv kdebluetooth-0.0.svn20051202-10.src.rpm 
 
 3) Dann ins RPM-Build-Verzeichnis gehen (meist /usr/src/packages) und 
patchen: 
 patch -p0 </woauchimmer/kdebluetooth-0.0.svn20051202-10.tv-fix-browsing.patch 
 
 4) Neu kompilieren: cd SPECS; rpmbuild -ba kdebluetooth.spec 
 (wenn da was meckert, muss man wohl noch die gelisteten -devel-Pakete 
installieren). 
 
 Hoffe, das klappt so auch bei Euch! 
 
 Tilman 
 
  
Code:

   
diff -rNU2 ../packages.orig/SOURCES/kdebluetooth-fix-browsing.diff ./SOURCES/kdebluetooth-fix-browsing.diff 
 --- ../packages.orig/SOURCES/kdebluetooth-fix-browsing.diff   1970-01-01 
01:00:00.000000000 +0100 
 +++ ./SOURCES/kdebluetooth-fix-browsing.diff   2006-04-21 11:29:36.000000000 
+0200 
 @@ -0,0 +1,109 @@ 
 +Index: kdebluetooth-common/mimetypes/phone-device-class.desktop 
 +=================================================================== 
 +--- kdebluetooth-common/mimetypes/phone-device-class.desktop   (revision 
527167) 
 ++++ kdebluetooth-common/mimetypes/phone-device-class.desktop   (working 
copy) 
 +@@ -3,6 +3,7 @@ 
 + Type=MimeType 
 + MimeType=bluetooth/phone-device-class 
 + Icon=kaddressbook 
 ++X-KDE-IsAlso=inode/directory 
 + Comment=Phone Bluetooth Device 
 + Comment[bg]=Телефонно Bluetooth устройство 
 + Comment[da]=Telefon Bluetooth-enhed 
 +Index: kdebluetooth-common/mimetypes/misc-device-class.desktop 
 +=================================================================== 
 +--- kdebluetooth-common/mimetypes/misc-device-class.desktop   (revision 
527167) 
 ++++ kdebluetooth-common/mimetypes/misc-device-class.desktop   (working copy) 
 +@@ -3,6 +3,7 @@ 
 + Type=MimeType 
 + MimeType=bluetooth/misc-device-class 
 + Icon=kdebluetooth 
 ++X-KDE-IsAlso=inode/directory 
 + Comment=Miscellaneous Bluetooth Device 
 + Comment[bg]=Разни Bluetooth устройства 
 + Comment[da]=Diverse Bluetooth-enheder 
 +Index: kdebluetooth-common/mimetypes/computer-device-class.desktop 
 +=================================================================== 
 +--- kdebluetooth-common/mimetypes/computer-device-class.desktop   (revision 
527167) 
 ++++ kdebluetooth-common/mimetypes/computer-device-class.desktop   (working 
copy) 
 +@@ -3,6 +3,7 @@ 
 + Type=MimeType 
 + MimeType=bluetooth/computer-device-class 
 + Icon=konsole 
 ++X-KDE-IsAlso=inode/directory 
 + Comment=Computer/PDA Bluetooth Device 
 + Comment[bg]=Компютърно/PDA Bluetooth устройство 
 + Comment[bs]=Računar/PDA Bluetooth uređaj 
 +Index: kioslave/bluetooth/bluetooth.protocol 
 +=================================================================== 
 +--- kioslave/bluetooth/bluetooth.protocol   (revision 527167) 
 ++++ kioslave/bluetooth/bluetooth.protocol   (working copy) 
 +@@ -4,6 +4,7 @@ 
 + input=none 
 + output=filesystem 
 + reading=true 
 ++listing=Name,Type,Size,Date,AccessDate,Access,Owner,Group,Link 
 + Icon=kdebluetooth 
 + Description=Bluetooth inquiry protocol 
 + Description[bg]=Протокол за заявка към Bluetooth 
 +Index: kioslave/bluetooth/kiobluetooth.cpp 
 +=================================================================== 
 +--- kioslave/bluetooth/kiobluetooth.cpp   (revision 527167) 
 ++++ kioslave/bluetooth/kiobluetooth.cpp   (working copy) 
 +@@ -64,6 +64,7 @@ 
 +     if (url.hasHost() == false && path == "/") 
 +     { 
 +         createDirEntry(entry, "Bluetooth neighborhood"); 
 ++        statEntry(entry); 
 +         finished(); 
 +     } 
 +     else { 
 +@@ -284,7 +285,8 @@ 
 + 
 +     addAtom(entry, UDS_MIME_TYPE, mimeType); 
 +     addAtom(entry, UDS_FILE_TYPE, S_IFDIR); 
 +-    addAtom(entry, UDS_GUESSED_MIME_TYPE, "inode/folder"); 
 ++    // No more necessary 
 ++    // addAtom(entry, UDS_GUESSED_MIME_TYPE, "inode/directory"); 
 + 
 +     return true; 
 + } 
 +Index: kioslave/sdp/btsdp.protocol 
 +=================================================================== 
 +--- kioslave/sdp/btsdp.protocol   (revision 527167) 
 ++++ kioslave/sdp/btsdp.protocol   (working copy) 
 +@@ -5,6 +5,7 @@ 
 + output=filesystem 
 + reading=true 
 + Icon=kdebluetooth 
 ++listing=Name,Type,Size,Date,AccessDate,Access,Owner,Group,Link 
 + Description=Bluetooth service discovery protocol 
 + Description[bg]=Протокол за откриване на Bluetooth 
услуги 
 + Description[da]=Bluetooth-protokol til opdagelse af serviceydelser 
 +Index: kioslave/sdp/btsdp.cpp 
 +=================================================================== 
 +--- kioslave/sdp/btsdp.cpp   (revision 527167) 
 ++++ kioslave/sdp/btsdp.cpp   (working copy) 
 +@@ -131,12 +131,21 @@ 
 +         if (path == "/") 
 +         { 
 +             createDirEntry(entry, "Bluetooth neighborhood"); 
 ++            statEntry(entry); 
 +             finished(); 
 +         } 
 +         else 
 +         { 
 +-            error(KIO::ERR_SLAVE_DEFINED, 
 ++            QRegExp reg = QRegExp("^/uuid-(0x[a-f,A-F,0-9:]+)/"); 
 ++            if (reg.search(path) >= 0) { 
 ++                createDirEntry(entry, "More services"); 
 ++                statEntry(entry); 
 ++                finished(); 
 ++            } 
 ++            else { 
 ++               error(KIO::ERR_SLAVE_DEFINED, 
 +                   i18n("Could not stat %1. Unknown 
device").arg(url.url())); 
 ++            } 
 +         } 
 +     } 
 +     else { 
 
diff -rNU2 ../packages.orig/SOURCES/kdebluetooth-openobex-pkgconfig.diff ./SOURCES/kdebluetooth-openobex-pkgconfig.diff 
 --- ../packages.orig/SOURCES/kdebluetooth-openobex-pkgconfig.diff   
1970-01-01 01:00:00.000000000 +0100 
 +++ ./SOURCES/kdebluetooth-openobex-pkgconfig.diff   2006-04-21 
11:24:27.000000000 +0200 
 @@ -0,0 +1,92 @@ 
 
+diff -rU2 ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/configure.in.in ./kdebluetooth/configure.in.in 
 +--- ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/configure.in.in   
2006-04-21 11:23:50.000000000 +0200 
 ++++ ./kdebluetooth/configure.in.in   2006-04-21 11:23:44.000000000 +0200 
 +@@ -130,66 +130,6 @@ 
 + 
 + dnl Check for openobex library 
 +-# Modified by Simone Gotti for kde-bluetooth on 2003-10-04 
 +- 
 +-AC_PATH_PROG(OPENOBEX_CONFIG, openobex-config, no) 
 +- 
 +-if test "$OPENOBEX_CONFIG" = "no" ; then 
 +-   AC_MSG_WARN(openobex-config not found. Pehaps openobex is not 
installed.) 
 +-   DO_NOT_COMPILE="$DO_NOT_COMPILE kdebluetooth" 
 +-   OPENOBEX_CONFIG="false" 
 +-fi 
 +- 
 +-OPENOBEX_CFLAGS=`$OPENOBEX_CONFIG --cflags` 
 +-openobex_inc_dir=`echo $OPENOBEX_CFLAGS | cut -dI -f2` 
 +-if test -f "$openobex_inc_dir/obex.h" ; then 
 +-    : 
 +-else 
 +-    if test -f "$openobex_inc_dir/openobex/obex.h" ; then 
 +-        OPENOBEX_CFLAGS="$OPENOBEX_CFLAGS/openobex" 
 +-    else 
 +-        DO_NOT_COMPILE="$DO_NOT_COMPILE kdebluetooth" 
 +-    fi 
 +-fi 
 +-OPENOBEX_LIBS=`$OPENOBEX_CONFIG --libs` 
 +- 
 +-min_obex_version=1.0.0 
 +-AC_MSG_CHECKING(for openobex - version >= $min_obex_version) 
 +-obex_config_version=`$OPENOBEX_CONFIG --version` 
 +- 
 +-obex_config_major_version=`$OPENOBEX_CONFIG --version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'` 
 +-obex_config_minor_version=`$OPENOBEX_CONFIG --version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'` 
 +-obex_config_micro_version=`$OPENOBEX_CONFIG --version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'` 
 +- 
 +-obex_req_major_version=`echo $min_obex_version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'` 
 +-obex_req_minor_version=`echo $min_obex_version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'` 
 +-obex_req_micro_version=`echo $min_obex_version | \ 
 +-   sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'` 
 +- 
 +-if test -n "$obex_req_major_version" && 
test -n "$obex_config_minor_version" ; then 
 +-   if test $obex_req_major_version -lt $obex_config_major_version ; then 
 +-      obex_config_version_ok="yes" 
 +-   fi 
 +-   if test $obex_req_major_version -eq $obex_config_major_version ; then 
 +-      if test $obex_req_minor_version -lt $obex_config_minor_version ; then 
 +-         obex_config_version_ok="yes" 
 +-         fi 
 +-      if test $obex_req_minor_version -eq $obex_config_minor_version ; then 
 +-         if test $obex_req_micro_version -le $obex_config_micro_version ; 
then 
 +-            obex_config_version_ok="yes" 
 +-         fi 
 +-      fi 
 +-   fi 
 +-fi 
 +- 
 +-if test "$obex_config_version_ok" != "yes" ; then 
 +-   AC_MSG_WARN(Installed openobex library too old ($obex_config_version)) 
 +-   DO_NOT_COMPILE="$DO_NOT_COMPILE kdebluetooth" 
 +-fi 
 +- 
 ++# Modified by Tilman Vogel to use pkg-config on 20060421 
 ++PKG_CHECK_MODULES([OPENOBEX],[openobex >= 1.0.0]) 
 + 
 + AC_SUBST(OPENOBEX_CFLAGS) 
 
+diff -rU2 ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/libkobex/kobex.h ./kdebluetooth/libkobex/kobex.h 
 +--- ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/libkobex/kobex.h   
2006-04-21 11:21:15.000000000 +0200 
 ++++ ./kdebluetooth/libkobex/kobex.h   2006-04-21 11:21:59.000000000 +0200 
 +@@ -31,5 +31,5 @@ 
 + #include <sys/socket.h> 
 + #include <bluetooth/bluetooth.h> 
 +-#include <obex.h> 
 ++#include <openobex/obex.h> 
 + } 
 + 
 
+diff -rU2 ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/libkobex/kobexheader.h ./kdebluetooth/libkobex/kobexheader.h 
 +--- ../kdebluetooth-0.0.svn20051202.orig/kdebluetooth/libkobex/kobexheader.h   
2006-04-21 11:23:50.000000000 +0200 
 ++++ ./kdebluetooth/libkobex/kobexheader.h   2006-04-21 11:23:44.000000000 
+0200 
 +@@ -21,5 +21,5 @@ 
 + 
 + extern "C" { 
 +-   #include <obex.h> 
 ++   #include <openobex/obex.h> 
 + } 
 + 
 diff -rNU2 ../packages.orig/SPECS/kdebluetooth.spec ./SPECS/kdebluetooth.spec 
 --- ../packages.orig/SPECS/kdebluetooth.spec   2006-04-21 11:51:49.000000000 
+0200 
 +++ ./SPECS/kdebluetooth.spec   2006-04-21 11:30:55.000000000 +0200 
 @@ -19,5 +19,5 @@ 
  Summary:        Bluetooth Support for KDE 
  Version:        0.0.svn20051202 
 -Release:        10 
 +Release:        10.tv.1.fix.browsing 
  BuildRoot:      %{_tmppath}/%{name}-%{version}-build 
  Source0:        %name-%version.tar.bz2 
 @@ -29,4 +29,6 @@ 
  Patch5:         kcm_btpaired-fix_paths.diff 
  Patch6:         kcm-no-dcop-error.diff 
 +Patch7:      kdebluetooth-openobex-pkgconfig.diff 
 +Patch8:      kdebluetooth-fix-browsing.diff 
   
  %description 
 @@ -58,4 +60,8 @@ 
  %patch5 
  %patch6 
 +%patch7 
 +cd kdebluetooth 
 +%patch8 
 +cd .. 
  rm -rf doc/da 
  . /etc/opt/kde3/common_options 
-----snap-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#359153; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 359153@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Robert Schulz <robert@rosaschulz.de>, 359153@bugs.debian.org
Subject: Re: Bug#359153: patch from a suse list?
Date: Sun, 23 Apr 2006 14:04:12 +0200
On Sun, Apr 23, 2006 at 09:50:30AM +0200, Robert Schulz wrote:
> I found a promising patch for suse-10 here:
> http://www.linux-club.de/ftopic57788.html

Thanks. I also have a patch from the KDE bug tracking system, that I'd
like to try. Both appear to be more or less the same btw. But anyway, as
I have some problems getting kdebluetooth compiled atm it might take a
little longer than anticipated. First I had to wait for some packages
being recompiled due to the X transition, but it appears there's another
problem with my sources, so stay tuned.

Michael

-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Purcell <msp@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 359153-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 359153-close@bugs.debian.org
Subject: Bug#359153: fixed in kdebluetooth 0.99+1.0beta1-8
Date: Mon, 24 Apr 2006 03:47:08 -0700
Source: kdebluetooth
Source-Version: 0.99+1.0beta1-8

We believe that the bug you reported is fixed in the latest version of
kdebluetooth, which is due to be installed in the Debian FTP archive:

kdebluetooth-irmcsync_0.99+1.0beta1-8_i386.deb
  to pool/main/k/kdebluetooth/kdebluetooth-irmcsync_0.99+1.0beta1-8_i386.deb
kdebluetooth_0.99+1.0beta1-8.diff.gz
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta1-8.diff.gz
kdebluetooth_0.99+1.0beta1-8.dsc
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta1-8.dsc
kdebluetooth_0.99+1.0beta1-8_i386.deb
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta1-8_i386.deb
qobex_0.99+1.0beta1-8_i386.deb
  to pool/main/k/kdebluetooth/qobex_0.99+1.0beta1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated kdebluetooth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Apr 2006 11:51:00 +0200
Source: kdebluetooth
Binary: kdebluetooth-irmcsync qobex kdebluetooth
Architecture: source i386
Version: 0.99+1.0beta1-8
Distribution: unstable
Urgency: low
Maintainer: Michael Meskes <meskes@debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 kdebluetooth - KDE Bluetooth Framework
 kdebluetooth-irmcsync - IrMCSync Konnector for kitchensync
 qobex      - Swiss army knife for the OBject EXchange (obex) protocol
Closes: 358275 359153
Changes: 
 kdebluetooth (0.99+1.0beta1-8) unstable; urgency=low
 .
   * Recompiled for openobex transition, closes: #358275
   * Added patch from KDE bugtracking to fix browsing, closes: #359153
Files: 
 48e7e5446c4e135f2ac02f62f6afd2c2 759 kde optional kdebluetooth_0.99+1.0beta1-8.dsc
 602478c418e4d9afe98486f362cbe35b 30551 kde optional kdebluetooth_0.99+1.0beta1-8.diff.gz
 d0bd589c4de1bdbd1d87a2ca8bbbfbe6 1244750 kde optional kdebluetooth_0.99+1.0beta1-8_i386.deb
 6648454b1e4960c2812dcd34ddb933c5 138750 net optional qobex_0.99+1.0beta1-8_i386.deb
 14553073d0708d9faac9cbac9cf4ca93 131198 kde optional kdebluetooth-irmcsync_0.99+1.0beta1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFETKekVkEm8inxm9ERArFgAJ4sQBOKNGtBwBPvS8zbQCbRzakfswCfU83C
CqT0s3oxIC16geHjcnxYDek=
=q8at
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 21:40:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:34:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.